#    VXIrestart script
#    envoked via the exception monitor call-back mechanism when a 
#    HIST crate is booted

#    the variable "resource" contains the name of the HIST crate server
#    further information may be in the list "parameters"


if {[first $parameters] == "hist3"} then {

set msg1 " HIST crate hist3 has been rebooted.\n\n\
    Since this is hist3 which also contains the CAMAC server you should STOP data acquisition. Then go to the\
\"CAMAC Configuration & Control window\" and click the button \"Load Configuration into Register Server\"\n
This will not change any CAMAC module settings unless a CAMAC crate is power-cycled\n\n\
All histograms in hist3 will have been lost. Do you wish to recreate them?"
} else {
set msg1 " HIST crate $resource has been rebooted.\n\
      Unless Data Acquisition has already stopped there is no requirement to STOP.\n\
           All histograms in $resource will have been lost but they may be recreated while still GOing.\n\
         Do you wish to recreate them?"
}

  if {[midas-confirmation "$msg1"] == 0} then {return "Action sequence aborted"}

  inform hist "start"

  midas-report "HISTrestart action is complete"

return "Action Completed"
  
