#    VXIrestart script
#    envoked via the exception monitor call-back mechanism when a 
#    VXI crate is booted

#    the variable "resource" contains the name of the VXI crate server
#    further information may be in the list "parameters"

set msg0 " VXI crate $resource has been rebooted.\n\
           The Data Acquisition system should be STOPPED.\n\
           Do you wish to execute the restart sequence for this crate?"

set msg1 " Do you wish to software reset the VXI crate?"

set msg2 " Do you wish to restore the VXI crate parameters?"

set msg3 " Since this is vxi0 it also contains the FVI module(s). Do you wish to reload the FVI LUTs?"

  if {[midas-confirmation "$msg0"] == 0} then {return "Action sequence aborted"}

  if {[midas-confirmation "$msg1"] == 0} then {return "Action sequence aborted"}
  inform vxicontrol "configure-crate $resource"
  inform vxicontrol "reset-VXI $resource"

if {$resource == "vxi0"} then {
  if {[midas-confirmation "$msg3"] == 0} then {return "Action sequence aborted"}
  inform fvi "loadLUT"
}

  if {[midas-confirmation "$msg2"] == 0} then {return "Action sequence aborted"}
  inform vxirestore "start"
  inform vxirestore "select-crate $resource"

  midas-report "When the window \"Restoring VXI Module Setups\" starts check that the \"Save Directory\" is correct (or select the required save) and check that the \"VXI crate\" is correct.\n Then click on \"Perform Restore by VXI Crate\".\n When this has completed the VXIrestart action is complete"

return "Action Completed"
  
