#    include file for the diagnostics control

set diagmenulist {}
set diagtasklist {}

lappend tasklist     "camacdiag #"
lappend diagtasklist camacdiag
lappend diagmenulist "CAMAC..."

lappend tasklist     "rdotst #"
lappend diagtasklist rdotst
lappend diagmenulist "Readout Test..."

lappend tasklist     "cabletst #"
lappend diagtasklist cabletst
lappend diagmenulist "Cable Test..."

lappend tasklist     "synctrig #"
lappend diagtasklist synctrig
lappend diagmenulist "Sync Trig Generator..."

lappend tasklist     "vmediag #"
lappend diagtasklist vmediag
lappend diagmenulist "VME..."

lappend tasklist     "vxidiag #"
lappend diagtasklist vxidiag
lappend diagmenulist "VXI..."

set diagmenu {}
foreach item $diagmenulist {
   if {$item != ""} then {lappend diagmenu $item}
}

proc click-diag m {
   global diagtasklist diagmenulist
   set task [lindex $diagtasklist [lsearch $diagmenulist $m]]
   inform $task start
}

set ACTION(diagserver) "DIAG-MENU \{click-diag \$v\}"

set MENU(diagserver)   "global diagmenu; :menubutton DIAG-MENU  :label \"Diagnostics\" :strings \$diagmenu"

