# evFarm.tcl---control of the Euroball processor farm


loadsource Farm_common

loadsource common.lnl
loadsource common.lsf
loadsource common.farm


set frametitle	"Event Processor Farm Control"
set icontitle 	"efMain"

set Farm       "evFarm"

set Farm_queue     ""
set Farm_host      ""
set Farm_installdir   ""
set Farm_workdir      ""

set Farm_data {}

proc init-parameters {} {
   global env prog_name job_name workdir
   global defaultdir defaultfile
   global Farm_queue Farm_workdir Farm_installdir Farm_host

   set Farm_queue      $env(EVFARM_QUEUE)
   set Farm_workdir    $env(EVFARM_WORKDIR)
   set Farm_installdir $env(EVFARM_INSTALLDIR)
   set Farm_host       $env(EVFARM_HOST)

   set defaultdir  "$Farm_workdir"
   set defaultfile "default"
   
   set workdir   $defaultdir
   set prog_name $defaultfile
   set job_name  [get-jobname [first [bjobs_names $Farm_queue]]]
}

#####################  FRAMES  #############################

set M1text "Hosts Event Farm (processors enabled)"
