# Farm.tcl---control of the Euroball spy processor farm


loadsource Farm_common

loadsource common.lnl
loadsource common.lsf
loadsource common.farm

set frametitle	"Spy Processor Farm Control"
set icontitle 	"sfMain"

set Farm       "spyFarm"

set Farm_queue     ""
set Farm_host      ""
set Farm_installdir   ""
set Farm_workdir      ""

set Farm_data {}

proc init-parameters {} {
   global env prog_name job_name workdir
   global defaultdir defaultfile
   global Farm_queue Farm_workdir Farm_installdir Farm_host

   set Farm_queue      $env(SPYFARM_QUEUE)
   set Farm_workdir    $env(SPYFARM_WORKDIR)
   set Farm_installdir $env(SPYFARM_INSTALLDIR)
   set Farm_host       $env(SPYFARM_HOST)

   set defaultdir  "$Farm_workdir"
   set defaultfile "default"
   
   set workdir   $defaultdir
   set prog_name $defaultfile
   set job_name  [get-jobname [first [bjobs_names $Farm_queue]]]
}

#####################  FRAMES  #############################

set M1text "Hosts Spy Farm (processors enabled)"


