
#    Neutron Wall specific additions

set actionlist {                         \
   {"formatted list"              "click_list"}      \
   {"Reset All Modules"           "click_reset"}     \
   {"Arm All Counters"            "click_arm"}       \
   {"Disarm All Counters"         "click_disarm"}     \
}

for {set i 0} {$i <= 49} {incr i} {
   set info($i) "PSD-N   Det $i"
}
set info(50) "PSD-ZCO Det 35"
set info(51) "PSD-ZCO Det 40"
set info(52) "PSD-ZCO Det 45"
set info(53) "PSD-ZCO Det 46"
set info(54) "PSD-ZCO Det 47"
set info(55) "PSD-ZCO Det 49"
set info(56) "CFD-OR"
set info(57) "G-OR"
set info(58) "G-OR && CFD-OR"
set info(59) "N-OR"
set info(60) "N-OR && CFD-OR"
set info(61) "NWall ADC Gate"
set info(62) "Synchronization pulser"
set info(63) "100 Hz pulser"


proc click_list {} {
   global data rate info

   display_counters

   set frame "display"
   :frame [self frame-name].$frame :label  "Scaler Display"  :transient T
   wm protocol [self frame-name].$frame WM_DELETE_WINDOW {destroy [self frame-name].display}

   :galley G :rows 64 :cols 56 :deaf T :strings "" :font fixed
   :show T

   for {set s 0} {$s <= 63} {incr s} {
       :modify G :strings "[format "scaler %2s %24s %10s %6s" $s $info($s) $data($s) $rate($s)]\n"
   }

   :modify G :see 0
}
        
